Bug 729752 - SELinux is preventing /opt/google/chrome/chrome from 'read' accesses on the file /home/wjbealer/.gvfs/new_volume%28a3%29 on bk-hb6b5c44.local/PUBLIC/Fonts/ARIALN.TTF.
Summary: SELinux is preventing /opt/google/chrome/chrome from 'read' accesses on the f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:53ec6be7556...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 18:14 UTC by Wayne Jonas Bealer
Modified: 2011-09-07 00:18 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-38.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 00:18:24 UTC


Attachments (Terms of Use)

Description Wayne Jonas Bealer 2011-08-10 18:14:17 UTC
SELinux is preventing /opt/google/chrome/chrome from 'read' accesses on the file /home/wjbealer/.gvfs/new_volume%28a3%29 on bk-hb6b5c44.local/PUBLIC/Fonts/ARIALN.TTF.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that chrome should be allowed read access on the ARIALN.TTF file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep chrome /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:fusefs_t:s0
Target Objects                /home/wjbealer/.gvfs/new_volume%28a3%29 on bk-
                              hb6b5c44.local/PUBLIC/Fonts/ARIALN.TTF [ file ]
Source                        chrome
Source Path                   /opt/google/chrome/chrome
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-stable-13.0.782.112-95650
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-35.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.40-4.fc15.i686 #1 SMP Fri Jul 29 18:54:39 UTC
                              2011 i686 i686
Alert Count                   631
First Seen                    Mon 04 Jul 2011 11:31:14 AM EDT
Last Seen                     Wed 10 Aug 2011 02:09:35 PM EDT
Local ID                      9d38da18-bf92-4dc2-a6b1-8e6acc3141ce

Raw Audit Messages
type=AVC msg=audit(1312999775.583:74): avc:  denied  { read } for  pid=2332 comm="chrome" path=2F686F6D652F776A6265616C65722F2E677666732F6E65775F766F6C756D652532386133253239206F6E20626B2D68623662356334342E6C6F63616C2F5055424C49432F466F6E74732F415249414C4E2E545446 dev=fuse ino=6 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fusefs_t:s0 tclass=file


type=SYSCALL msg=audit(1312999775.583:74): arch=i386 syscall=socketcall success=yes exit=ENOEXEC a0=11 a1=bfcab000 a2=1a a3=0 items=0 ppid=1 pid=2332 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm=chrome exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)

Hash: chrome,chrome_sandbox_t,fusefs_t,file,read

audit2allow

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t fusefs_t:file read;

audit2allow -R

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t fusefs_t:file read;

Comment 1 Miroslav Grepl 2011-08-11 08:03:07 UTC
Added the use_fusefs_home_dirs boolean for chrome_sandbox_t

Fixed in selinux-policy-3.9.16-38.fc15

Comment 2 Fedora Update System 2011-08-11 20:39:17 UTC
selinux-policy-3.9.16-38.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-38.fc15

Comment 3 Fedora Update System 2011-08-12 18:19:56 UTC
Package selinux-policy-3.9.16-38.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-38.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-38.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-07 00:17:03 UTC
selinux-policy-3.9.16-38.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.